%define modname Gtk3
%define modver 0.026

Summary:	Perl module for the GTK+-3.x library
Name:		perl-%{modname}
Version:	%{perl_convert_version %{modver}}
Release:	1
License:	LGPLv2+
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	http://prdownloads.sourceforge.net/gtk2-perl/%{modname}-%{modver}.tar.gz
# helper for exception management:
Patch1:		exceptions.diff
# set up GdkX11:
Patch6:		GdkX11.diff
BuildRequires:	perl-devel
BuildRequires:	perl(Cairo::GObject) >= 1.0.0
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires:	perl(ExtUtils::Depends) >= 0.300
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:	perl(Glib) >= 1.302.0-6
BuildRequires:	perl(Glib::Object::Introspection) >= 0.9.0
BuildRequires:	perl(Test::Simple)
# for test suite:
#BuildRequires:	x11-server-xvfb
BuildRequires:	typelib(Gtk) = 3.0
Requires:	typelib(Gdk) = 3.0
Requires:	typelib(GdkX11) = 3.0
Requires:	typelib(Gtk) = 3.0
Requires:	typelib(Pango) = 1.0
# For exception handling:
Requires:	perl(Glib) >= 1.302.0-6
BuildArch:	noarch

%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%files
%doc LICENSE META.yml MYMETA.yml NEWS README
%{perl_vendorlib}/%{modname}.pm
%{_mandir}/*/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{modname}-%{modver}
%apply_patches
rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
%makeinstall_std

%check
# (TV) Test suite won't work in iurt (not enough stuff configured):
exit 0
xvfb-run %make test


%changelog

* Wed Jul 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.26.0-1
- (b4d2db6) New version 0.26.0


